      subroutine scri(scr)
      parameter(nligne=100)
      character*1 scr(80*nligne),scr1(80*nligne)
      common/sri/scr1
      ifil=6
      k=1
      scr1(1)=scr(1)
      do i=2,8000
c        write(6,*)'SCR',i,'    ',scr(i)
         if(scr(i).eq.'$') goto 1
         if(scr(i).eq.' ') then
            if(scr(i-1).eq.' ') goto 2
c           write(6,*)'scr(i-1)',scr(i-1)
         endif
         k=k+1
c        write(6,*)'k',k
         scr1(k)=scr(i)
c        write(6,*)'scr(i),scr1(k)',scr(i)
 2       continue
      enddo
c     pas de '$' trouve
      write(6,*)'ecriture formattee sans ''$'' a la fin'
      return
 1    continue
c      write(6,*)k
      write(6,'(80a1)')(scr1(l),l=1,k)
      return
      end
       subroutine scri2(scr,ifil)
      parameter(nligne=100)
      character*1 scr(80*nligne),scr1(80*nligne)
      common/sri/scr1
      k=1
      scr1(1)=scr(1)
      do i=2,8000
c        write(6,*)'SCR',i,'    ',scr(i)
         if(scr(i).eq.'#') goto 1
         if(scr(i).eq.' ') goto2
         k=k+1
c        write(6,*)'k',k
         if(scr(i).eq.'~') then
            scr1(k)=' '
         else
            scr1(k)=scr(i)
         endif
c        write(6,*)'scr(i),scr1(k)',scr(i)
 2       continue
      enddo
c     pas de '#' trouve
      write(6,*)'ecriture formattee sans ''#'' a la fin'
      write(6,*)'scr',(scr(k),k=1,800)
c      return
 1    continue
c      write(6,*)k
      write(ifil,'(80a1)')(scr1(l),l=1,k)
c     write(6,'(80a1)')(scr1(l),l=1,k)
      return
      end
